Bug 838673 - dracut-020-64: error when installing kernel: "loader cannot load itself"
dracut-020-64: error when installing kernel: "loader cannot load itself"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 14:31 EDT by John Ellson
Modified: 2012-07-10 04:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 04:55:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2012-07-09 14:31:00 EDT
Description of problem:

# rpm -ivh kernel-3.5.0-0.rc6.git0.2.fc18.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:kernel-3.5.0-0.rc6.git0.2.fc18   ################################# [100%]
loader cannot load itself
ldd: exited with unknown exit code (127)


Version-Release number of selected component (if applicable):
dracut-020-64.git20120709.fc18
kernel-3.5.0-0.rc6.git0.2.fc18

How reproducible:
100%   Both i686 and x86_64

Steps to Reproduce:
1. rpm -ivh kernel-3.5.0-0.rc6.git0.2.fc18.x86_64.rpm
2.
3.
  
Actual results:
error 

Expected results:
no error

Additional info:
Installing the same kernel with dracut-020-57.git20120709.fc18 does nopt produce the error, although I haven't dared to try rebooting yet to see if it actually works!
Comment 1 Harald Hoyer 2012-07-10 04:55:05 EDT
thanks .. fixed.

Note You need to log in before you can comment on or make changes to this bug.